Bug 2053242 (CVE-2022-22759) - CVE-2022-22759 Mozilla: Sandboxed iframes could have executed script if the parent appended elements
Summary: CVE-2022-22759 Mozilla: Sandboxed iframes could have executed script if the p...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-22759
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2051916 2051917 2051918 2051919 2051920 2051921 2051922 2051926 2051927 2051928 2051929 2051930 2051931 2051932 2053036
Blocks: 2051914
TreeView+ depends on / blocked
 
Reported: 2022-02-10 18:44 UTC by Tomas Hoger
Modified: 2023-01-30 09:20 UTC (History)
5 users (show)

Fixed In Version: firefox 91.6, thunderbird 91.6
Doc Type: If docs needed, set a value
Doc Text:
The Mozilla Foundation Security Advisory describes this flaw as: If a document created a sandboxed iframe without allow-scripts and subsequently appended an element to the iframe's document that, for example, had a JavaScript event handler - the event handler would have run despite the iframe's sandbox.
Clone Of:
Environment:
Last Closed: 2022-02-14 10:47:01 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0510 0 None None None 2022-02-14 08:51:06 UTC
Red Hat Product Errata RHSA-2022:0511 0 None None None 2022-02-14 08:46:32 UTC
Red Hat Product Errata RHSA-2022:0512 0 None None None 2022-02-14 08:42:57 UTC
Red Hat Product Errata RHSA-2022:0513 0 None None None 2022-02-14 08:30:07 UTC
Red Hat Product Errata RHSA-2022:0514 0 None None None 2022-02-14 09:07:21 UTC
Red Hat Product Errata RHSA-2022:0535 0 None None None 2022-02-15 10:32:39 UTC
Red Hat Product Errata RHSA-2022:0536 0 None None None 2022-02-15 10:36:38 UTC
Red Hat Product Errata RHSA-2022:0537 0 None None None 2022-02-15 10:34:08 UTC
Red Hat Product Errata RHSA-2022:0538 0 None None None 2022-02-15 10:50:39 UTC
Red Hat Product Errata RHSA-2022:0539 0 None None None 2022-02-15 10:18:07 UTC

Description Tomas Hoger 2022-02-10 18:44:44 UTC
If a document created a sandboxed iframe without `allow-scripts`, and subsequently appended an element to the iframe's document that e.g. had a JavaScript event handler - the event handler would have run despite the iframe's sandbox.

External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2022-05/#CVE-2022-22759

Comment 1 errata-xmlrpc 2022-02-14 08:30:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:0513 https://access.redhat.com/errata/RHSA-2022:0513

Comment 2 errata-xmlrpc 2022-02-14 08:42:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:0512 https://access.redhat.com/errata/RHSA-2022:0512

Comment 3 errata-xmlrpc 2022-02-14 08:46:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:0511 https://access.redhat.com/errata/RHSA-2022:0511

Comment 4 errata-xmlrpc 2022-02-14 08:51:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0510 https://access.redhat.com/errata/RHSA-2022:0510

Comment 5 errata-xmlrpc 2022-02-14 09:07:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0514 https://access.redhat.com/errata/RHSA-2022:0514

Comment 6 Product Security DevOps Team 2022-02-14 10:46:59 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-22759

Comment 7 errata-xmlrpc 2022-02-15 10:18:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:0539 https://access.redhat.com/errata/RHSA-2022:0539

Comment 8 errata-xmlrpc 2022-02-15 10:32:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0535 https://access.redhat.com/errata/RHSA-2022:0535

Comment 9 errata-xmlrpc 2022-02-15 10:34:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:0537 https://access.redhat.com/errata/RHSA-2022:0537

Comment 10 errata-xmlrpc 2022-02-15 10:36:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:0536 https://access.redhat.com/errata/RHSA-2022:0536

Comment 11 errata-xmlrpc 2022-02-15 10:50:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0538 https://access.redhat.com/errata/RHSA-2022:0538


Note You need to log in before you can comment on or make changes to this bug.